%global _disable_ld_no_undefined 1

%global srcname iconv

%global p1_utils_ver 1.0.19

Name:       erlang-%{srcname}
Version:    1.0.11
Release:    %mkrel 1

Group:      Development/Erlang
Summary:    Fast encoding conversion library for Erlang / Elixir
License:    ASL 2.0
URL:        https://github.com/processone/iconv/
Source0:    https://github.com/processone/iconv/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:   erlang-p1_iconv = %{version}-%{release}
Obsoletes:  erlang-p1_iconv < 1.0.0-3

BuildRequires: gcc
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: erlang-rebar

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
Erlang bindings for libiconv. This is used by ejabberd.


%prep
%autosetup -n iconv-%{version}


%build
%configure --enable-nif
%{rebar_compile}


%check
%{rebar_eunit}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/iconv.so $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}



%changelog
* Sun Dec 20 2020 wally <wally> 1.0.11-1.mga8
+ Revision: 1661696
- new vesion 1.0.11

* Wed Feb 12 2020 umeabot <umeabot> 1.0.8-3.mga8
+ Revision: 1511354
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 1.0.8-2.mga7
+ Revision: 1295968
- update erlang-p1_iconv obsoletes
- new version 1.0.8 (sync with Fedora)

* Thu Nov 17 2016 neoclust <neoclust> 1.0.2-1.mga6
+ Revision: 1067967
- imported package erlang-iconv

